## totem 3.26.2

=== debian/changelog ===
totem (3.26.2-1ubuntu3) cosmic; urgency=medium

  * Modify 91_quicklist_entries.patch:
    - Update Desktop Action names to match D-Bus names
  * Add Add-Mute-action.patch:
    - Add Mute action so that we can use it as a Desktop Action
  * Together, these patches fix the right-click .desktop actions (LP: #1726688)

 -- Simone Piccardi <simone.piccardi@gmail.com>  Tue, 15 Jan 2019 16:24:26 -0500

totem (3.26.2-1ubuntu2) cosmic; urgency=medium

  * d/p/gallery-don-t-use-command-line-options-that-got-removed-f.patch,
    d/p/screenshot-fix-invalid-free-created-by-the-previous-chang.patch:
    - backport fixes to make the gallery plugin work again (lp: #1798399)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Oct 2018 17:26:01 +0200

totem (3.26.2-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian (LP: #1788568). Remaining changes:
    - debian/control.in:
      + Drop libxtst-dev build-depends so that the (redundant) fake key presses
        for inhibiting the screensaver are disabled (LP: #1007438)
      + Depend on grilo base plugins not the full set
      + Suggest rather than recommend gstreamer components in universe
      + Add totem-plugins-extra
      + Don't recommend gnome-settings-daemon from the plugins any more; it's
        not right to pull in desktop integration bits by default.
      + Use ubuntu-desktop vcs
    - debian/totem-common.install, debian/source_totem.py:
      + Install Ubuntu apport debugging hook
    - debian/totem-plugins-extra.install:
      + Universe plugins split out of totem-plugins (currently only gromit)
    - debian/totem-plugins.install:
      + Skip the plugins split to -extra
    - debian/gbp.conf: Use ubuntu settings
    - debian/patches/91_quicklist_entries.patch:
      + Add static quicklist.
    - ubuntu-grilo-filesystem.patch:
      + Use grl-filesystem if tracker is not available.
    - ubuntu-make-zeitgeist-plugin-builtin.patch:
      + Make Zeitgeist Plugin Builtin.
    - dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Fri, 24 Aug 2018 14:37:31 +0300

totem (3.26.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Set Rules-Requires-Root to no
    - Bump Standards-Version to 4.2.0

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Thu, 23 Aug 2018 10:07:00 +0200

totem (3.26.1-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Build-Depend on debhelper >= 11.1.3 to automatically build with the
    C.UTF-8 locale
  * Don't link with -Wl,-O1
  * Do link with -Wl,-z,defs
  * Update Build-Depends for meson build

  [ Simon McVittie ]
  * New upstream release
    - Bump meson build-dependency to 0.43.0
  * Drop patches
    - d/p/fix-build-with-gtk-doc-126.patch: Applied upstream
    - d/p/fix-vala-build.patch: Rejected upstream and no longer applies
  * Build Totem-1.0.gir first to work around #874027; see
    https://bugzilla.gnome.org/show_bug.cgi?id=786248 and
    https://github.com/mesonbuild/meson/issues/1994
  * d/p/debian/Don-t-run-pylint-at-build-time.patch:
    Don't run pylint at build time. It's too fragile and requires an
    X11 or equivalent display.
    - d/control: Drop pylint build-dependency
  * Bump Standards-Version to 4.1.4 (no changes)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Jul 2018 18:44:29 +0100

totem (3.26.0-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

  [ Emilio Pozuelo Monfort ]
  * Downgrade dependency on gstreamer1.0-plugins-bad to a recommends, the
    scaletempo plugin that is required to run totem is now in -plugins-good.

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 15:37:02 -0500

totem (3.26.0-2) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Add fix-vala-build.patch:
    - Fix vala/meson build ordering issue (Closes: #874027)

  [ Jeremy Bicha ]
  * Allow parallel building again
  * Add fix-build-with-gtk-doc-126.patch to build with gtk-doc 1.26
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Oct 2017 11:21:36 -0400

totem (3.26.0-1) unstable; urgency=medium

  * New upstream release
  * Build with --no-parallel (Closes: #874027)
  * Drop fix-lirc-detection.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Sep 2017 21:27:50 -0400

totem (3.25.90.1-2) unstable; urgency=medium

  * Use C.UTF-8 locale to fix build failure

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Sep 2017 16:53:47 -0400

totem (3.25.90.1-1) unstable; urgency=medium

  * New upstream release
  * Build with meson (Closes: #829923)
  * debian/control.in:
    - Build-Depend on pylint3 and dh-python
    - Bump minimum libglib2.0-dev to 2.35.0
  * debian/totem.install:
    - Install new thumbnailer
  * Drop disable-gtkdoc-check.patch: Obsolete
  * Add fix-lirc-detection.patch:
    - Adjust lirc library detection check so that lirc plugin is built
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 01 Sep 2017 14:36:58 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: totem
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: appstream-util,
               debhelper (>= 11.1.3),
               dh-python,
               dpkg-dev (>= 1.16.1),
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.9.12-4~),
               gsettings-desktop-schemas-dev,
               gstreamer1.0-plugins-base (>= 1.6.0),
               gstreamer1.0-plugins-good,
               gstreamer1.0-tools,
               gtk-doc-tools (>= 1.14),
               intltool (>= 0.50.1),
               itstool,
               libatk1.0-dev (>= 1.29.4),
               libbluetooth-dev [linux-any],
               libcairo2-dev (>= 1.14.0),
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev (>= 1.8.1),
               libclutter-1.0-dev (>= 1.17.3),
               libgdata-dev (>= 0.8.0),
               libgdk-pixbuf2.0-dev (>= 2.23.0),
               libgirepository1.0-dev (>= 0.9.12),
               libglib2.0-dev (>= 2.35.0),
               libgnome-desktop-3-dev,
               libgrilo-0.3-dev (>= 0.3.0),
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev (>= 1.6.0),
               libgtk-3-dev (>= 3.19.4),
               liblircclient-dev (>= 0.6.6),
               libnautilus-extension-dev (>= 3.21.92-3~),
               libpeas-dev (>= 1.1.0),
               librsvg2-dev (>= 2.16.0-2),
               libsoup2.4-dev,
               libtotem-plparser-dev (>= 3.10.1),
               libx11-dev,
               libxml2-dev (>= 2.6.0),
               libxrandr-dev (>= 2:1.1.1),
               libxxf86vm-dev (>= 1:1.0.1),
               libzeitgeist-2.0-dev (>= 0.9.12),
               meson (>= 0.43.0),
               python3 (>= 3.2),
               python-gi-dev (>= 2.90.3),
               shared-mime-info (>= 0.22),
               valac (>= 0.14.1),
               x11proto-core-dev
Rules-Requires-Root: no
Standards-Version: 4.2.0
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem/+git/totem/+ref/ubuntu/cosmic
Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem -b ubuntu/cosmic
Homepage: https://wiki.gnome.org/Apps/Videos

Package: libtotem0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Main library for the Totem media player
 This package contains the main library used by the Totem media player. It is
 used both by the media player itself and by the plugins.
 .
 This library is only useful within Totem. You should not have to
 manually install this package.

Package: totem
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         totem-common (>= ${source:Version}),
         gsettings-desktop-schemas,
         gstreamer1.0-clutter-3.0,
         gstreamer1.0-plugins-base (>= 1.6.0),
         gstreamer1.0-plugins-good (>= 1.10),
         gstreamer1.0-x,
         grilo-plugins-0.3-base
Recommends: gstreamer1.0-pulseaudio,
            totem-plugins
Suggests: gnome-codec-install,
          gstreamer1.0-libav,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly,
Description: Simple media player for the GNOME desktop based on GStreamer
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats. It features :
 .
    * Shoutcast, m3u, asx, SMIL and ra playlists support
    * DVD (with menus), VCD and Digital CD (with CDDB) playback
    * TV-Out configuration with optional resolution switching
    * 4.0, 5.0, 5.1 and stereo audio output
    * Full-screen mode (move your mouse and you get nice controls) with
      Xinerama, dual-head and RandR support
    * Aspect ratio toggling, scaling based on the video's original size
    * Full keyboard control
    * Simple playlist with repeat mode and saving feature
    * GNOME, Nautilus and GIO integration
    * Screenshot of the current movie
    * Brightness and Contrast control
    * Visualisation plugin when playing audio-only files
    * Video thumbnailer for nautilus
    * Nautilus properties page
    * Works on remote displays
    * DVD, VCD and OGG/OGM subtitles with automatic language selection
    * Extensible with plugins

Package: totem-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains common data files and translations.

Package: totem-plugins
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         totem (= ${binary:Version}),
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gir1.2-totem-1.0 (= ${binary:Version}),
         python3-gi (>= 2.90.3),
         python3-xdg
Recommends: zeitgeist-core
Description: Plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of recommended plugins for Totem:
 .
    * Control Totem with an Infrared remote control
    * Control Totem with the keyboard's media player keys
    * Keep the Totem window on top of the screen
    * Display movie properties
    * Deactivate the screensaver when a movie is playing
    * Skip to a defined time in the movie
    * Set the away status in the instant messenger when a movie is
      playing
    * Control totem with a mobile phone using the Bluetooth protocol
    * Share the current playlist via HTTP
    * Search, browse for and play videos from YouTube
 .
 Additional plugins can be written in C, Python or Vala.

Package: totem-plugins-extra
Architecture: any
Depends: totem (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: gromit
Description: Extra plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of extra plugins for Totem:
 .
    * Annotate the screen with the Gromit tool
 .
 Additional plugins can be written in C, Python or Vala.

Package: gir1.2-totem-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Description: GObject introspection data for Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains introspection data for the Totem media player.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libtotem-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libtotem0 (= ${binary:Version}),
         gir1.2-totem-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libtotem-plparser-dev
Description: Main library for the Totem media player - development files
 This package contains development files for the Totem media player library.
 .
 You may need it to develop plugins for Totem.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome,gir --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Denable-easy-codec-installation=yes \
		-Denable-gtk-doc=true \
		-Denable-introspection=yes \
		-Denable-nautilus=yes \
		-Denable-python=yes \
		-Denable-vala=yes

override_dh_auto_build:
	dh_auto_build -- src/Totem-1.0.gir
	dh_auto_build

override_dh_strip:
	dh_strip --dbgsym-migration='totem-dbg (<< 3.20.1-1~)'

override_dh_makeshlibs:
	dh_makeshlibs -p totem -X/usr/lib/$(DEB_HOST_MULTIARCH)/nautilus/
	dh_makeshlibs -p libtotem0 -V'libtotem0 (>= $(DEB_VERSION)), libtotem0 (<< $(DEB_GNOME_NEXTVERSION))'
	dh_makeshlibs --remaining-packages -Xplugins/

override_dh_girepository:
	dh_girepository -lsrc

override_dh_python3:
	dh_python3 --no-ext-rename -ptotem-plugins /usr/lib/*/totem/plugins
	dh_python3 --remaining-packages

override_dh_install:
	find debian \( -name '*.a' -o -name '*.la' \) -delete
	rm -rf debian/tmp/usr/lib/*/totem/plugins/*/__pycache__
	dh_install

override_dh_missing:
	dh_missing --fail-missing

## totem 3.30.0

=== debian/changelog ===
totem (3.30.0-4) unstable; urgency=medium

  * Make sure that totem-plugin-gromit Breaks/Replaces older totem-plugins

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 20 Jan 2019 09:43:11 -0500

totem (3.30.0-3) unstable; urgency=medium

  * Split gromit and zeitgeist plugins to separate packages
    so they are available but not included in the default install
  * Add make-gromit-and-zeitgeist-plugins-builtin.patch:
    - Activate gromit and zeitgeist plugins by default if installed

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 18 Jan 2019 16:03:00 -0500

totem (3.30.0-2) unstable; urgency=medium

  * debian/control.in: Demote zeitgeist-core to Suggests
  * debian/control.in: Bump Standards-Version to 4.3.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 12 Jan 2019 13:34:29 +0100

totem (3.30.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
    - Fix gallery plugin (LP: #1798399)
  * Restore -Wl,-O1 to our extra LDFLAGS
  * Add apport hook from Ubuntu
  * Suggest instead of recommend universe gstreamer packages on Ubuntu
  * Depend on grilo-plugins-0.3-base on Ubuntu instead of full grilo-plugins
  * Drop unnecessary Recommends: gnome-settings-daemon

  [ Andrea Azzarone ]
  * debian/control.in:
    - Drop dependency on libxtst-dev since the screensaver inhibition code
      using it is no longer upstream

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Jan 2019 12:27:34 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper (>= 11.1.3),
@@ -54,11 +53,9 @@
                valac (>= 0.14.1),
                x11proto-core-dev
 Rules-Requires-Root: no
-Standards-Version: 4.2.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
-Vcs-Browser: https://code.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem/+git/totem/+ref/ubuntu/cosmic
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem -b ubuntu/cosmic
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0
@@ -78,19 +75,18 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         ${grilo:Depends},
          totem-common (>= ${source:Version}),
          gsettings-desktop-schemas,
          gstreamer1.0-clutter-3.0,
          gstreamer1.0-plugins-base (>= 1.6.0),
          gstreamer1.0-plugins-good (>= 1.10),
-         gstreamer1.0-x,
-         grilo-plugins-0.3-base
-Recommends: gstreamer1.0-pulseaudio,
+         gstreamer1.0-x
+Recommends: ${gst:Recommends},
+            gstreamer1.0-pulseaudio,
             totem-plugins
-Suggests: gnome-codec-install,
-          gstreamer1.0-libav,
-          gstreamer1.0-plugins-bad,
-          gstreamer1.0-plugins-ugly,
+Suggests: ${gst:Suggests},
+          gnome-codec-install
 Description: Simple media player for the GNOME desktop based on GStreamer
  Totem is a simple yet featureful media player for GNOME which can read
  a large number of file formats. It features :
@@ -138,7 +134,8 @@
          gir1.2-totem-1.0 (= ${binary:Version}),
          python3-gi (>= 2.90.3),
          python3-xdg
-Recommends: zeitgeist-core
+Suggests: totem-plugin-gromit,
+          totem-plugin-zeitgeist
 Description: Plugins for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read
  a large number of file formats.
@@ -159,22 +156,6 @@
  .
  Additional plugins can be written in C, Python or Vala.
 
-Package: totem-plugins-extra
-Architecture: any
-Depends: totem (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: gromit
-Description: Extra plugins for the Totem media player
- Totem is a simple yet featureful media player for GNOME which can read
- a large number of file formats.
- .
- This package contains a set of extra plugins for Totem:
- .
-    * Annotate the screen with the Gromit tool
- .
- Additional plugins can be written in C, Python or Vala.
-
 Package: gir1.2-totem-1.0
 Section: introspection
 Architecture: any
@@ -206,3 +187,41 @@
  This package contains development files for the Totem media player library.
  .
  You may need it to develop plugins for Totem.
+
+Package: totem-plugin-gromit
+Architecture: any
+Depends: gromit,
+         totem (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Enhances: totem
+# Breaks/Replaces can be dropped after Ubuntu 20.04 LTS
+Breaks: totem-plugins-extra (<= 3.30.0-3~),
+        totem-plugins (<= 3.30.0-3)
+Replaces: totem-plugins-extra (<= 3.30.0-3~),
+          totem-plugins (<= 3.30.0-3)
+Description: Gromit plugin for the Totem media player
+ Totem is a simple yet featureful media player for GNOME which can read
+ a large number of file formats.
+ .
+ This package contains this plugin for Totem:
+ .
+    * Annotate the screen with the Gromit tool
+
+Package: totem-plugin-zeitgeist
+Architecture: any
+Depends: totem (= ${binary:Version}),
+         zeitgeist-core,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Enhances: totem
+# Breaks/Replaces can be dropped after Ubuntu 20.04 LTS
+Breaks: totem-plugins (<= 3.30.0-3~)
+Replaces: totem-plugins (<= 3.30.0-3~)
+Description: Zeitgeist plugin for the Totem media player
+ Totem is a simple yet featureful media player for GNOME which can read
+ a large number of file formats.
+ .
+ This package contains this plugin for Totem:
+ .
+    * Register events with the Zeitgeist activity tracking service

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
+include /usr/share/dpkg/pkg-info.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir --buildsystem=meson
+	dh $@ --with gnome,gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -43,3 +43,16 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# Some gstreamer packages are in Ubuntu universe so only suggest them there
+# Similarly, Ubuntu has a minified version of grilo-plugins
+override_dh_gencontrol:
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
+	dh_gencontrol -- \
+		-Vgst:Recommends="gstreamer1.0-plugins-bad, gstreamer1.0-libav, gstreamer1.0-plugins-ugly" \
+		-Vgrilo:Depends="grilo-plugins-0.3"
+else
+	dh_gencontrol -- \
+		-Vgst:Suggests="gstreamer1.0-plugins-bad, gstreamer1.0-libav, gstreamer1.0-plugins-ugly" \
+		-Vgrilo:Depends="grilo-plugins-0.3-base"
+endif

## totem 3.32.0

=== debian/changelog ===
totem (3.32.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 09 Mar 2019 05:39:46 -0500

totem (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gir, dh-sequence-gnome, & dh-sequence-python3

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 09 Mar 2019 05:38:15 -0500

totem (3.31.91-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Drop transitional totem-plugins-extra package:
    - it only depended on the gromit plugin which has been removed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Feb 2019 11:03:31 -0500

totem (3.31.91-1) experimental; urgency=medium

  * New upstream development release
  * Drop totem-plugin-gromit and totem-plugin-zeitgeist: No longer provided
  * debian/totem-plugins.install: ontop plugin is no longer provided
  * debian/totem.install: Nautilus 3.32 now handles showing audio/video
    properties itself
  * Bump minimum meson to 0.46.0
  * Drop obsolete Build-Depends:
    - intltool, libnautilus-extension-dev, libx11-dev, libxrandr-dev,
      libxxf86vm-dev, valac, x11proto-core-dev
  * Use xvfb for build tests
  * Drop obsolete make-gromit-and-zeitgeist-plugins-builtin.patch

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 21 Feb 2019 10:57:52 -0500

totem (3.30.0-4ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Add a totem-plugins-extra transitional package for the gromit plugin

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 20 Jan 2019 09:44:49 -0500

totem (3.30.0-1ubuntu3) disco; urgency=medium

  * Modify 91_quicklist_entries.patch:
    - Update Desktop Action names to match D-Bus names (LP: #1726688)
  * Add Add-Mute-action.patch:
    - Add Mute action so that we can use it as a Desktop Action

 --  Simone Piccardi <simone.piccardi@gmail.com>  Tue, 15 Jan 2019 19:09:08 +0100

totem (3.30.0-1ubuntu2) disco; urgency=medium

  * Fix typo in grilo dependency

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 05 Jan 2019 18:10:13 -0500

totem (3.30.0-1ubuntu1) disco; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Add totem-plugins-extra
      + Use ubuntu-desktop vcs
    - debian/totem-plugins-extra.install:
      + Universe plugins split out of totem-plugins (currently only gromit)
    - debian/totem-plugins.install:
      + Skip the plugins split to -extra
    - debian/gbp.conf: Use ubuntu settings
    - debian/patches/91_quicklist_entries.patch:
      + Add static quicklist.
    - ubuntu-make-zeitgeist-plugin-builtin.patch:
      + Make Zeitgeist Plugin Builtin.
    - dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.
  * Drop ubuntu-grilo-filesystem.patch:
    + Use grl-filesystem if tracker is not available
      (We no longer try to avoid tracker)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 05 Jan 2019 15:44:38 -0500

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 11.1.3),
-               dh-python,
+               debhelper (>= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                dpkg-dev (>= 1.16.1),
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.9.12-4~),
                gsettings-desktop-schemas-dev,
                gstreamer1.0-plugins-base (>= 1.6.0),
                gstreamer1.0-plugins-good,
                gstreamer1.0-tools,
                gtk-doc-tools (>= 1.14),
-               intltool (>= 0.50.1),
                itstool,
                libatk1.0-dev (>= 1.29.4),
                libbluetooth-dev [linux-any],
@@ -36,26 +36,23 @@
                libgstreamer1.0-dev (>= 1.6.0),
                libgtk-3-dev (>= 3.19.4),
                liblircclient-dev (>= 0.6.6),
-               libnautilus-extension-dev (>= 3.21.92-3~),
                libpeas-dev (>= 1.1.0),
                librsvg2-dev (>= 2.16.0-2),
                libsoup2.4-dev,
                libtotem-plparser-dev (>= 3.10.1),
-               libx11-dev,
                libxml2-dev (>= 2.6.0),
-               libxrandr-dev (>= 2:1.1.1),
-               libxxf86vm-dev (>= 1:1.0.1),
-               libzeitgeist-2.0-dev (>= 0.9.12),
-               meson (>= 0.43.0),
+               meson (>= 0.46.0),
                python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
                shared-mime-info (>= 0.22),
-               valac (>= 0.14.1),
-               x11proto-core-dev
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem
+Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0
@@ -134,8 +131,6 @@
          gir1.2-totem-1.0 (= ${binary:Version}),
          python3-gi (>= 2.90.3),
          python3-xdg
-Suggests: totem-plugin-gromit,
-          totem-plugin-zeitgeist
 Description: Plugins for the Totem media player
  Totem is a simple yet featureful media player for GNOME which can read
  a large number of file formats.
@@ -144,7 +139,6 @@
  .
     * Control Totem with an Infrared remote control
     * Control Totem with the keyboard's media player keys
-    * Keep the Totem window on top of the screen
     * Display movie properties
     * Deactivate the screensaver when a movie is playing
     * Skip to a defined time in the movie
@@ -154,7 +148,7 @@
     * Share the current playlist via HTTP
     * Search, browse for and play videos from YouTube
  .
- Additional plugins can be written in C, Python or Vala.
+ Additional plugins can be written in C or Python.
 
 Package: gir1.2-totem-1.0
 Section: introspection
@@ -187,41 +181,3 @@
  This package contains development files for the Totem media player library.
  .
  You may need it to develop plugins for Totem.
-
-Package: totem-plugin-gromit
-Architecture: any
-Depends: gromit,
-         totem (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Enhances: totem
-# Breaks/Replaces can be dropped after Ubuntu 20.04 LTS
-Breaks: totem-plugins-extra (<= 3.30.0-3~),
-        totem-plugins (<= 3.30.0-3)
-Replaces: totem-plugins-extra (<= 3.30.0-3~),
-          totem-plugins (<= 3.30.0-3)
-Description: Gromit plugin for the Totem media player
- Totem is a simple yet featureful media player for GNOME which can read
- a large number of file formats.
- .
- This package contains this plugin for Totem:
- .
-    * Annotate the screen with the Gromit tool
-
-Package: totem-plugin-zeitgeist
-Architecture: any
-Depends: totem (= ${binary:Version}),
-         zeitgeist-core,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Enhances: totem
-# Breaks/Replaces can be dropped after Ubuntu 20.04 LTS
-Breaks: totem-plugins (<= 3.30.0-3~)
-Replaces: totem-plugins (<= 3.30.0-3~)
-Description: Zeitgeist plugin for the Totem media player
- Totem is a simple yet featureful media player for GNOME which can read
- a large number of file formats.
- .
- This package contains this plugin for Totem:
- .
-    * Register events with the Zeitgeist activity tracking service

=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,21 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
-	dh $@ --with gnome,gir
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Denable-easy-codec-installation=yes \
 		-Denable-gtk-doc=true \
 		-Denable-introspection=yes \
-		-Denable-nautilus=yes \
-		-Denable-python=yes \
-		-Denable-vala=yes
+		-Denable-python=yes
 
 override_dh_auto_build:
 	dh_auto_build -- src/Totem-1.0.gir
 	dh_auto_build
+
+override_dh_auto_test:
+	xvfb-run -a dh_auto_test
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='totem-dbg (<< 3.20.1-1~)'
@@ -34,12 +35,7 @@
 
 override_dh_python3:
 	dh_python3 --no-ext-rename -ptotem-plugins /usr/lib/*/totem/plugins
-	dh_python3 --remaining-packages
-
-override_dh_install:
-	find debian \( -name '*.a' -o -name '*.la' \) -delete
-	rm -rf debian/tmp/usr/lib/*/totem/plugins/*/__pycache__
-	dh_install
+	dh_python3
 
 override_dh_missing:
 	dh_missing --fail-missing

## totem 3.34.1

=== meson_options.txt ===
option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

=== debian/changelog ===
totem (3.34.1-2ubuntu2) focal; urgency=medium

  * Rebuild with the new gnome-desktop soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Feb 2020 11:05:06 +0100

totem (3.34.1-2ubuntu1) eoan; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add dont-make-compulsory.patch:
      + Allow Totem to be uninstalled from the GNOME Software app.
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 07 Oct 2019 10:09:01 +0200

totem (3.34.1-2) unstable; urgency=medium

  * debian/totem.install: debhelper-compat 12 uses /usr/libexec by default

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 10:17:12 -0400

totem (3.34.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 05 Oct 2019 08:52:23 -0400

totem (3.34.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson requirement
  * debian/rules:
    - remove use of the now deprecated -Denable-introspection option 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:37:12 +0200

totem (3.33.90-2) experimental; urgency=medium

  * debian/totem-plugins.install:
    - install the new open-directory plugin

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 17:11:35 +0200

totem (3.33.90-1) experimental; urgency=medium

  * New upstream release
    - Reduce GSettings writes on startup
    - Remove obsolete LIRC and Brasero plugins
  * debian/control.in:
    - don't Build-Depends on liblircclient-dev
  * debian/totem-plugins.install:
    - updated for the lirc and brasero plugins removal

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 16:42:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -35,13 +35,12 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev (>= 1.6.0),
                libgtk-3-dev (>= 3.19.4),
-               liblircclient-dev (>= 0.6.6),
                libpeas-dev (>= 1.1.0),
                librsvg2-dev (>= 2.16.0-2),
                libsoup2.4-dev,
                libtotem-plparser-dev (>= 3.10.1),
                libxml2-dev (>= 2.6.0),
-               meson (>= 0.46.0),
+               meson (>= 0.49.0),
                python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
                shared-mime-info (>= 0.22),

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 	dh_auto_configure -- \
 		-Denable-easy-codec-installation=yes \
 		-Denable-gtk-doc=true \
-		-Denable-introspection=yes \
 		-Denable-python=yes
 
 override_dh_auto_build:

## totem 3.38.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
 option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
 option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
+option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')

=== debian/changelog ===
totem (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Preferentially build-depend on libgdk-pixbuf-2.0-dev.
    We don't need the deprecated Xlib integration that is also pulled in
    by the older libgdk-pixbuf2.0-dev package (see #974870).

 -- Simon McVittie <smcv@debian.org>  Mon, 23 Nov 2020 10:17:46 +0000

totem (3.38.0-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release:
    - Add support for Tracker 3 indexer
    - Support auto-loading VTT subtitles
    - Fix some stutters on some systems when current state is being
      saved to disk
    - Better error messages when SSL/TLS support is missing
    - Improve the search entry's behaviour
    - Improve the way time is written in some places
    - Remove association with audio files, as we really don't want
      to be an audio player
    - Fix YouTube search not working
    - Fix a number of keyboard shortcuts not working
    - Remove a number of deprecated calls
  * debian/control: Bump dependencies to match upstream
  * debian/patches: Refresh
  * d/p/test-totem-Properly-handle-menu-text-for-undetermined-lan.patch:
    - Ensure that menu-text uses generic values on undefined language.
      Tests were failing with recent gstreamer as the returned language was
      not "NULL", but "Undetermined", causing this value to be used as
      language instead of the generic fallback.
  * debian: Depend on debhelper-compat = 13.
    As per this we can remove the --fail-missing flag on dh_missing (as it's
    already the default)

  [ Laurent Bigonville ]
  * Disable integration at-spi2 for the tests and fix the nocheck build-profile

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Sep 2020 02:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                dh-sequence-python3,
@@ -27,31 +26,30 @@
                libclutter-gtk-1.0-dev (>= 1.8.1),
                libclutter-1.0-dev (>= 1.17.3),
                libgdata-dev (>= 0.8.0),
-               libgdk-pixbuf2.0-dev (>= 2.23.0),
+               libgdk-pixbuf-2.0-dev (>= 2.23.0) | libgdk-pixbuf2.0-dev (>= 2.23.0),
                libgirepository1.0-dev (>= 0.9.12),
-               libglib2.0-dev (>= 2.35.0),
+               libglib2.0-dev (>= 2.56.0),
                libgnome-desktop-3-dev,
                libgrilo-0.3-dev (>= 0.3.0),
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev (>= 1.6.0),
-               libgtk-3-dev (>= 3.19.4),
+               libgtk-3-dev (>= 3.22.0),
                libpeas-dev (>= 1.1.0),
                librsvg2-dev (>= 2.16.0-2),
                libsoup2.4-dev,
-               libtotem-plparser-dev (>= 3.10.1),
+               libtotem-plparser-dev (>= 3.26.5),
                libxml2-dev (>= 2.6.0),
-               meson (>= 0.49.0),
+               meson (>= 0.50.0),
                python3 (>= 3.2),
                python-gi-dev (>= 2.90.3),
                shared-mime-info (>= 0.22),
                xauth <!nocheck>,
                xvfb <!nocheck>,
+Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/totem
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,9 @@
 	dh_auto_build
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test
+endif
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='totem-dbg (<< 3.20.1-1~)'
@@ -36,9 +38,6 @@
 	dh_python3 --no-ext-rename -ptotem-plugins /usr/lib/*/totem/plugins
 	dh_python3
 
-override_dh_missing:
-	dh_missing --fail-missing
-
 # Some gstreamer packages are in Ubuntu universe so only suggest them there
 # Similarly, Ubuntu has a minified version of grilo-plugins
 override_dh_gencontrol:

## totem 3.38.1

=== debian/changelog ===
totem (3.38.1-1ubuntu1) impish; urgency=medium

  * Resynchronize with Debian. Remaining changes:
    - debian/control.in:
      + Use ubuntu-desktop vcs
    - debian/gbp.conf: Use ubuntu settings
    - Add 91_quicklist_entries.patch:
      + Add static quicklist.
    - Add Add-Mute-action.patch:
      + Add Mute action so that we can use it as a Desktop Action
  * Removed delta
    - Add dont-make-compulsory.patch:
      + the issue has been fixed upstream now

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Jun 2021 21:17:15 +0200

totem (3.38.1-1) experimental; urgency=medium

  * New upstream release
  * d/p/test-totem-Properly-handle-menu-text-for-undetermined-lan.patch:
    - remove the patch since the issue is fixed in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 21 Jun 2021 21:10:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
@@ -48,8 +49,10 @@
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+Vcs-Git: https://salsa.debian.org/gnome-team/totem.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem/tree/ubuntu/master
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0

## totem 3.38.2

=== debian/changelog ===
totem (3.38.2-2deepin1) unstable; urgency=medium

  * Fixes the 2 bugs that prevents this package to be built:
    - Meson no longer accepts positional arguments for `i18n.merge_files`
    - Newer libgnome_desktop changed some function signatures

 -- sisungo <sisungo@icloud.com>  Sat, 20 Sep 2025 19:15:04 +0800

totem (3.38.2-2) UNRELEASED; urgency=medium

  * update

 -- Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>  Fri, 29 Jul 2022 16:48:03 +0800

totem (3.38.2-2) unstable; urgency=medium

  * Add the patch Annotation_test-totem.patch

 -- jinqingchen <jinqingchen@uniontech.com>  Fri, 29 Jul 2022 14:25:06 -0400

totem (3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Oct 2021 20:35:06 -0400

totem (3.38.1-2) unstable; urgency=medium

  * Simplify debian/rules a bit
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 19:25:21 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: totem
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: appstream-util,
                debhelper-compat (= 13),
                dh-sequence-gir,
@@ -49,10 +48,8 @@
 Build-Depends-Indep: libgdk-pixbuf2.0-doc, libglib2.0-doc, libgtk-3-doc
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/totem
-Vcs-Git: https://salsa.debian.org/gnome-team/totem.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/totem/tree/ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/totem
+Vcs-Git: https://salsa.debian.org/gnome-team/totem.git
 Homepage: https://wiki.gnome.org/Apps/Videos
 
 Package: libtotem0
